#' Time-series exposure data for ZINB simulated data
#' @description Data.frame containing a sample of weekly average wildfire PM, PM2.5, O3
#' across a range of counties of Colorado. The exposure data was downloaded from US EPA
#' (https://aqs.epa.gov/aqsweb/airdata/download_files.html) daily data summaries
#' and averaged by week.
#'
#' @docType data
#'
#' @usage data(zinbCo)
#'
#' @format data.frame;
#'
#' @keywords datasets
#'
#' @references \url{https://www.epa.gov/outdoor-air-quality-data}
#'
#' @source \url{https://aqs.epa.gov/aqsweb/airdata/download_files.html}
#'
"zinbCo"